Package: activemq / 5.15.10-1

Metadata

Package Version Patches format
activemq 5.15.10-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
init debian default values.patch | (download)

assembly/src/release/bin/activemq | 23 11 + 12 - 0 !
1 file changed, 11 insertions(+), 12 deletions(-)

 init debian default values

Initialize the start script with Debian values.
activemq spring.patch | (download)

activemq-spring/src/main/java/org/apache/activemq/pool/PooledConnectionFactoryBean.java | 9 4 + 5 - 0 !
activemq-spring/src/main/java/org/apache/activemq/store/PersistenceAdapterFactoryBean.java | 5 2 + 3 - 0 !
2 files changed, 6 insertions(+), 8 deletions(-)

 activemq-spring

Fix FTBFS with Debian's version of Spring.
activemq client jar.patch | (download)

activemq-client/pom.xml | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 activemq-client jar

Fix FTBFS due to wrong packaging type.
disable broker test dependency.patch | (download)

activemq-ra/pom.xml | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 disable broker test dependency

Fix FTBFS due to missing broker test dependency. maven.ignoreRules doesn't work
somehow.
java11.patch | (download)

activemq-client/pom.xml | 5 5 + 0 - 0 !
activemq-jdbc-store/pom.xml | 6 6 + 0 - 0 !
2 files changed, 11 insertions(+)

 java11

Build-Depend on jaxb-impl and javax API because these classes have been
removed in Java 11.

maven xbean plugin.patch | (download)

activemq-spring/pom.xml | 2 1 + 1 - 0 !
pom.xml | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 maven-xbean-plugin

debian/maven.rules does not work. See also #907477

enable activemq jdbc store module.patch | (download)

activemq-jdbc-store/pom.xml | 10 10 + 0 - 0 !
pom.xml | 14 14 + 0 - 0 !
2 files changed, 24 insertions(+)

 enable-activemq-jdbc-store-module